// Enable navigation preload on activation
self.addEventListener("activate", (event) => {
    event.waitUntil(self.registration.navigationPreload.enable());
});

// Handle fetch events with navigation preload support
self.addEventListener("fetch", (event) => {
    event.respondWith(
        (async function () {
            const preloadResponse = await event.preloadResponse;
            if (preloadResponse) {
                return preloadResponse;
            }
            // Fallback to a normal fetch if no preload response is available
            return fetch(event.request);
        })()
    );
});

// Listen for messages from other parts of your extension
chrome.runtime.onMessage.addListener((msg, sender, response) => {
    if (msg.command === "getPage") {
        response({ type: "result", status: "success", data: {}, req: msg });
    }
    return true;
});
